%global _owner pgnd
%global _build_timestamp %( date +%%Y%%m%%d_%%H%%M%%S --utc )
%global _dist .%{_build_timestamp}.%{_owner}.fc%{fedora}

%define _clam_name        clamav
%define _clam_ug_name     %{_clam_name}-sysusers
%define _clam_ug_pkgname  %{_clam_ug_name}
%define _clam_ug_comment  ClamAV users & groups

# https://spdx.org/licenses/MIT.html
%global _clam_ug_license MIT

%define _clam_ug_file_in  %{_clam_name}.sysusers
%define _clam_ug_file_out %{_clam_name}.conf
%define _clam_ug_dir      /etc/sysusers.d

%global dist %{_dist}

Vendor:           %{_owner}

# NEVRA (n-e:v-r.a)
Name:              %{_clam_ug_name}
Epoch:             3
Version:           git_1.0
Release:           0%{?dist}
BuildArch:         noarch
#	https://blog.jasonantman.com/2014/07/how-yum-and-rpm-compare-versions/
%global _same_evr   %{epoch}:%{version}-%{release}

Summary:           %{_clam_ug_comment}
License:           %{_clam_ug_license}

Source0:           %{_clam_ug_file_in}
Provides:          group(clamav)
Provides:          user(clamav)

BuildRequires:     coreutils
# https://docs.fedoraproject.org/en-US/packaging-guidelines/UsersAndGroups/#_dynamic_allocation
BuildRequires:     systemd-rpm-macros

%description
%{_clam_ug_comment}

%prep
cp %{SOURCE0} .

%build

%install
mkdir -p %{buildroot}%{_clam_ug_dir}
install -p -T -m 644 %{SOURCE0} %{buildroot}%{_clam_ug_dir}/%{_clam_ug_file_out}

%check

%pre

%files
%dir %{_clam_ug_dir}
%{_clam_ug_dir}/%{_clam_ug_file_out}

%changelog
* Sat May 10 2025 pgnd _ <null@null.loc>
- bump 1746934429

